[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification&utm_content=banner)

# KendoReact Notification Component for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   This is a free React Notification component. You can use it even in production, no sign-up or license required. If you're looking for more free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).
> -   Installing and working with this package indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification).
> -   The [30-day free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification) gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!

The [React Notification](https://www.telerik.com/kendo-react-ui/notification), part of KendoReact Free, renders a brief message to the user with information about the status of an application process and enables you to animate its rendering and control its position.

How to start:

```sh
npm i @progress/kendo-react-notification
```

## React Notification

Among the features which the KendoReact Notification component delivers are:

-   [Notification types](https://www.telerik.com/kendo-react-ui/components/notification/types/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)&mdash;Depending on the outcome of application operations and processes, the Notification enables you to display different types of notifications, like `info`, `error`, `warning`, and more.
-   [Animations](https://www.telerik.com/kendo-react-ui/components/notification/animations/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)&mdash;The Notification allows you to add opening and closing animations to it by using the KendoReact Animation components from the [@progress/kendo-react-animation package](https://www.npmjs.com/package/@progress/kendo-react-animation).
-   [Positioning](https://www.telerik.com/kendo-react-ui/components/notification/positioning/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)&mdash;You can configure the position of the Notification through a property.
-   [Theme support](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)&mdash;The KendoReact Notification, as well as all 120+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, Fluent, and Default) and can be further customized to match your specific design guidelines.

How to use the Notification component in your apps:

```tsx
import { Notification, NotificationGroup } from "@progress/kendo-react-notification";
...
<NotificationGroup>
    <Notification>
        /** Provide the contents of your notification.
        *
        */
    </Notification>
    /**
    * Add as many Notifications as needed.
    */
</NotificationGroup>
```

## Support Options

For any issues you might encounter while working with the KendoReact Notification, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Get Started with the KendoReact Notification](https://www.telerik.com/kendo-react-ui/components/notification/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [API Reference of the KendoReact Notification](https://www.telerik.com/kendo-react-ui/components/notification/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-notification)

High-level component overview page:

-   [React Notification Component](https://www.telerik.com/kendo-react-ui/notification)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
